This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 8 replies, has 2 voices.

Last updated by Marcos Vinicios Barreto 5 months, 1 week ago.

Assigned support staff: Marcos Vinicios Barreto.

Author Posts
April 25, 2019 at 7:07 pm

bressinckP

I am trying to: update wmpl in the .fr (site is part of a network

I see several update messages :
WPML woocommerce activated but not excecuted. not compatibel with wmpl 4.0

When I try to update, the updates fail.

I also see a message : your site is not 'signed in'. You will receive updates untill december 2019.
But my site is visible in my account settings. So I do not understand why this is happening.

screenshot is in Dutch (sorry)

April 26, 2019 at 1:48 am #3686665

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello,

Thank you for contacting WPML Support. In this case, I recommend you to try a manual update, here are the details:

1 - Download the needed plugins zip folders from your wpml.org account.

2 - Unzip them and send the plugin unzipped folders to your host wp-content/plugins folders.

IMPORTANT: Please, note, a backup is required for security reasons and to avoid any data loss, you can use the https://wordpress.org/plugins/backupwordpress/ plugin for these backup needs.

You can read the full details at: https://wpml.org/faq/install-wpml/#updating-manually

Hope it helps, have a nice day.

April 28, 2019 at 6:11 pm #3698781

bressinckP

Hi,
Problem is, that this is a networking site bit wmpl is not network activated but works on both sites.
The update via ftp does not work. (i have uploaded the plugins but the update messages do not dissapear.
I need to update the plugins because I think this is why my cart does not update

April 30, 2019 at 1:07 am #3707069

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello,

Thank you for the updates. I still see the version 3.9.3 for your WPML Multilingual CMS plugin which indicates your FTP manual update was not effective. Can you please, confirm if you have followed my instructions to manually update your plugins via FTP? It really doesn't matter if it is a multisite install, as the plugin files will be updated the whole network will use the same updated files for every site of your multisite install.

You can download all the most recent versions of the WPML related plugins from you wpml.org account, then you can send the unzipped folders to your host wp-content/plugins folder replacing the current plugin files available, after that you deactivate/activate the plugin again so the changes can take effect. Please, let me know the results of this approach, have a nice day.

May 3, 2019 at 5:25 am #3730931

bressinckP

no the issue is still there after i followed the instructions. Can you help please

May 3, 2019 at 10:22 pm #3738245

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello,

Thank you for the updates. Can you please provide me with some FTP access details so I can check the current plugins your website is using? I will enable a private reply for you so any details can be provided safely. Thank you for your collaboration, have a nice day.

May 4, 2019 at 7:20 am
May 7, 2019 at 7:07 pm #3761501

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello,

Thank you for the updates and sorry for the bit of waiting here. Unfortunately the provided FTP details doesn't seem to connect to the right server public folders, in any case you can proceed like this:

IMPORTANT: Please, note, a backup is required for security reasons and to avoid any data loss, you can use the https://wordpress.org/plugins/backupwordpress/ plugin for these backup needs.

1. Log in to your WPML.org account and go to the Downloads section. Download the WPML components that you need. You will receive a ZIP file for each one of WPML’s components.

2. Deactivate the current WPML version that you are using. Be sure to deactivate WPML and all its components, make sure to make this step in your multisite plugins installer, instead of updating your plugins for a specific subsite. Otherwise, the installation files may be locked and not writeable. Don’t worry, your translations are not going to be modified.

3. Delete the plugin, so that you can install the new version. Note: if you cannot delete from inside WordPress, use an FTP program to delete the folders of WPML and its components from wp-content/plugins.

6. In the WordPress admin, go to Plugins -> Add New -> Upload and upload the ZIP files that you downloaded. Alternatively, if you cannot upload plugins directly to WordPress, unzip each file. A directory will be created. Then upload the unzipped directories to your site’s ‘wp-contents/plugins’ directory and overwrite the existing folders for WPML and its components.

7. Log in to your site, go to Plugins and activate WPML core first and then its components.

Please, let me know if it works this time. Have a nice day.

May 9, 2019 at 10:40 pm #3779629

bressinckP

Hello, problem is that within my network environment the wmpl plugin is not active, zo i cannot deactivate them or delete them. I can only do this on site basis currently.
Should I activate network mode?
see screenshot. it's in Dutch but you see that the modules are not activated

best regards
Peter

May 10, 2019 at 12:52 am #3780015

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello,

Thank you for the updates. I recommend you take these steps for the 'WPML Multilingual CMS' only, once it is manually updated you can proceed with the automatic updates provided in the commercial tab of your plugins installation screen, here is how you can proceed.

1 - From the plugins screen of your network menu click to network activate the 'WPML Multilingual CMS' in order to enable the delete plugin link.

2 - Delete it and upload the updated 'WPML Multilingual CMS' version according my instructions from my previous reply.

3 - You now should be able to update all the other plugins from the WPML plugins installer you showed in the screenshot of your first message in this forum topic.

Note: If you don't see the delete link, then the only option is to overwrite the plugin files via FTP, you need to make sure you see your host wp-content/plugins folder when connecting using your FTP details.

See: hidden link

IMPORTANT: Please, note, a backup is required for security reasons and to avoid any data loss, you can use the https://wordpress.org/plugins/backupwordpress/ plugin for these backup needs.

Please, let me know if it works for you. Have a nice day.